__version__: str = '2.3.0rc1'


# noinspection PyPep8Naming
class SM(staticmethod):
    """
    Quick workaround that allows us to use Cython and multiple decorators.
    """

    def __init__(self, *args, **kwargs):
        super(staticmethod, self).__init__(*args, **kwargs)
        self.__ds_in_static_hack__ = args[0]


builtins = globals()['__builtins__']

if isinstance(builtins, dict):
    if 'staticmethod' not in builtins:
        print(f'WARNING: "staticmethod" not in (dict) builtins {builtins}.')

    builtins['staticmethod'] = SM


else:

    if getattr(builtins, 'staticmethod') is None:
        print(f'WARNING: "staticmethod" not in (module) builtins {builtins}.')

    builtins.staticmethod = SM
